Webhooks
Create a webhook endpoint
POST
The response carries the endpoint's signing secret. Store it: it is how you verify that a delivery came from Mailcrate.
Requires the webhook:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
application/json- body
name*stringurl*stringFormat
urienabled?booleansubscribedEvents*array<>description?stringapplication/json- response
id*stringname*stringurl*stringsecret*stringenabled*booleansubscribedEvents*array<>description*string|nullcreated*stringFormat
date-timeupdated*stringFormat
date-timecurl -X POST 'https://api.mailcrate.io/public/webhook/endpoints' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "url": "http://example.com", "subscribedEvents": [ "campaign.deleted" ]}'Example Response
{ "id": "string", "name": "string", "url": "string", "secret": "string", "enabled": true, "subscribedEvents": [ "campaign.deleted" ], "description": "string", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z"}